local mod = RW:Boss("Faction Champions", "Party - WOTLK", "Trial of the Champion")
local L

mod.type = "party"

mod.BossIcon = [[Interface\Icons\INV_Spear_05]]
mod.SubCatIcon = [[Interface\Icons\Achievement_Dungeon_GloryoftheRaider]]

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.win = "Well Fought!"
		L.mage_poly = "%s Polymorphed!"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(34657, 34701, 34702, 34703, 34705,35004, 35005,35569, 35570, 35571, 35572, 35617)
	self:SetWin(L.win)
	mHeal = self:CastMessage(68318)
	mHex = self:TargetMessage(67534)
	mPoly = self:TargetMessage(66043)
	mPoison = self:TargetMessage(67701)
	-- Code here for rest of warnings like the poly cast and rogue poison
	-- 67534 shaman hex
end

function mod:OnEngage(trigger)
	self:TrackAura("Hex", 67534)
	self:TrackAura("Poly",66043,68311)
	self:TrackAura("Poison",67701, 67594, 68316)
	self:TrackCastStart("ShamanHealing",68318, 67528)
end

function mod:Hex(applied, args)
	if applied then
		mHex:Show(args.dName)
	end
end

function mod:Poly(applied, args)
	if applied then
		mPoly:Show(args.dName)
	end
end

function mod:Poison(applied, args)
	if applied and args.dName == self.pName then
		mPoison:Show(args.dName)
	end
end

function mod:ShamanHealing(args)
	mHeal:Show()
end